Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZNotificationEventType Class Reference

The class eZNotificationEventType does. More...

Inheritance diagram for eZNotificationEventType:

## Public Member Functions
| __construct ( $notificationEventTypeString)
| initializeEvent ( $event, $params)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| eventDescription ()
| execute ( $event)
| eventContent ( $event)

## Static Public Member Functions
static | create ( $notificationEventTypeString)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)
static | register ( $notificationTypeString, $className)

## Public Attributes
| $NotificationEventTypeString
| $Attributes

## Detailed Description

The class eZNotificationEventType does.

Definition at line 17 of file eznotificationeventtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZNotificationEventType::__construct | ( |  | $notificationEventTypeString | ) |

Constructor

Parameters

  string | $notificationEventTypeString |

Definition at line 29 of file eznotificationeventtype.php.

## Member Function Documentation

## ◆ allowedTypes()

static eZNotificationEventType::allowedTypes | ( |  | ) |
| static

Definition at line 107 of file eznotificationeventtype.php.

Referenced by loadAndRegisterAllTypes().

## ◆ attribute()

eZNotificationEventType::attribute | ( |  | $attr | ) |

Reimplemented in eZCollaborationEventType.

Definition at line 78 of file eznotificationeventtype.php.

References eventDescription(), and eZDebug\writeError().

Referenced by eZCollaborationEventType\attribute().

## ◆ attributes()

eZNotificationEventType::attributes | ( |  | ) |

Reimplemented in eZCollaborationEventType.

Definition at line 67 of file eznotificationeventtype.php.

Referenced by eZCollaborationEventType\attributes(), and hasAttribute().

## ◆ create()

static eZNotificationEventType::create | ( |  | $notificationEventTypeString | ) |
| static

Crates a datatype instance of the datatype string id $dataTypeString.

Note
  It only creates one instance for each datatype.

Definition at line 43 of file eznotificationeventtype.php.

References loadAndRegisterType(), and eZDebugSetting\writeDebug().

Referenced by eZNotificationEvent\eventType().

## ◆ eventContent()

eZNotificationEventType::eventContent | ( |  | $event | ) |

Reimplemented in eZPublishType, eZCurrentTimeType, and eZCollaborationEventType.

Definition at line 102 of file eznotificationeventtype.php.

## ◆ eventDescription()

eZNotificationEventType::eventDescription | ( |  | ) |

Definition at line 93 of file eznotificationeventtype.php.

Referenced by attribute().

## ◆ execute()

eZNotificationEventType::execute | ( |  | $event | ) |

Definition at line 98 of file eznotificationeventtype.php.

## ◆ hasAttribute()

eZNotificationEventType::hasAttribute | ( |  | $attr | ) |

Reimplemented in eZCollaborationEventType.

Definition at line 73 of file eznotificationeventtype.php.

References attributes().

## ◆ initializeEvent()

eZNotificationEventType::initializeEvent | ( |  | $event,
|  |  | $params
| ) |  |

Reimplemented in eZPublishType, eZCurrentTimeType, and eZCollaborationEventType.

Definition at line 34 of file eznotificationeventtype.php.

## ◆ loadAndRegisterAllTypes()

static eZNotificationEventType::loadAndRegisterAllTypes | ( |  | ) |
| static

Definition at line 119 of file eznotificationeventtype.php.

References allowedTypes(), and loadAndRegisterType().

## ◆ loadAndRegisterType()

static eZNotificationEventType::loadAndRegisterType | ( |  | $type | ) |
| static

Definition at line 128 of file eznotificationeventtype.php.

References eZExtension\baseDirectory(), and eZDebug\writeError().

Referenced by create(), and loadAndRegisterAllTypes().

## ◆ register()

static eZNotificationEventType::register | ( |  | $notificationTypeString,
|  |  | $className
| ) |  |
| static

Definition at line 166 of file eznotificationeventtype.php.

## Member Data Documentation

## ◆ $Attributes

eZNotificationEventType::$Attributes

Definition at line 23 of file eznotificationeventtype.php.

## ◆ $NotificationEventTypeString

eZNotificationEventType::$NotificationEventTypeString

Definition at line 22 of file eznotificationeventtype.php.

The documentation for this class was generated from the following file:

- eznotificationeventtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.